> ## Documentation Index
> Fetch the complete documentation index at: https://docs.honeyhive.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a list of projects



## OpenAPI

````yaml get /projects
openapi: 3.0.3
info:
  title: HoneyHive API
  version: 1.0.1
servers:
  - url: https://api.honeyhive.ai
security:
  - BearerAuth: []
paths:
  /projects:
    get:
      tags:
        - Projects
      summary: Get a list of projects
      operationId: getProjects
      parameters:
        - in: query
          name: name
          required: false
          schema:
            type: string
      responses:
        '200':
          description: A list of projects
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Project'
      x-codeSamples:
        - lang: python
          label: getProjects
          source: |-
            import honeyhive

            s = honeyhive.HoneyHive(
                bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
            )


            res = s.projects.get_projects(name='<value>')

            if res.projects is not None:
                # handle response
                pass
        - lang: typescript
          label: getProjects
          source: >-
            import { HoneyHive } from "honeyhive";

            import { GetProjectsRequest } from
            "honeyhive/dist/models/operations";


            async function run() {
              const sdk = new HoneyHive({
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
              });
            const name: string = "<value>";

              const res = await sdk.projects.getProjects(name);

              if (res.statusCode == 200) {
                // handle response
              }
            }


            run();
components:
  schemas:
    Project:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        description:
          type: string
      required:
        - name
        - description
        - type
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````